View Issue Details

IDProjectCategoryView StatusLast Update
0003894Part[FreeCAD] Featurepublic2019-07-29 14:56
Reporternormandc Assigned Towmayer  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version[FreeCAD] 0.18 
Target Version[FreeCAD] 0.18Fixed in Version[FreeCAD] 0.18 
Summary0003894: Part Thickness dialog thickness field not Expressions enabled
DescriptionThe input field to type in a thickness value in Part Thickness task dialog does not provide the expression icon to open the formula editor.

Although it is possible to create the Thickness object, then assign an expression from the "Value" property afterwards, it would be preferable to be able to do it from the dialog at object creation.

If not practical to complete the FR in 0.18, don't hesitate to bump to target version 0.19.
Steps To Reproduce
  1. Create a solid (for example a Part cube)
  2. Select a face
  3. Launch the Part Thickness tool
  4. The Thickness input field does not provide a (fx) icon.
Additional InformationForum topic: https://forum.freecadweb.org/viewtopic.php?f=3&t=34777
TagsNo tags attached.
FreeCAD Information

Related Changesets

FreeCAD: releases/FreeCAD-0-18 194f5d77

2019-03-12 00:04:24

wmayer

Details Diff
fixes 0003894: Part Thickness dialog thickness field not Expressions enabled Affected Issues
0003894
mod - src/Mod/Part/Gui/TaskThickness.cpp Diff File

Issue History

Date Modified Username Field Change
2019-03-09 17:58 normandc New Issue
2019-03-09 17:58 normandc File Added: FC_Part_Thickness_dialog_01.png
2019-03-12 00:08 wmayer Assigned To => wmayer
2019-03-12 00:08 wmayer Status new => closed
2019-03-12 00:08 wmayer Resolution open => fixed
2019-03-12 00:08 wmayer Fixed in Version => 0.18
2019-03-12 00:08 wmayer Note Added: 0012890
2019-07-29 14:56 Kunda1 Changeset attached => FreeCAD releases/FreeCAD-0-18 194f5d77